Solutions
Keywords: yacs.net.Solutions class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## yacs.net
Class Solutions

    java.lang.Object
      yacs.net.Solutions

public class Solutions
extends java.lang.Object

Container-Klasse für die Repräsentation von Lösungen eines Constraint-Problems.

Copyright (C) 2005 Wolfgang Runte
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Version:
  YACS 0.1.1
Author:
  Wolfgang Runte (woru@tzi.org)

Constructor Summary
`Solutions()`

Method Summary
`boolean` | `addSolution(Solution solution)` Fügt die übergebene Lösung den vorhandenen hinzu, wenn sie nicht bereits enthalten ist.
`boolean` | `containsSolution(Solution solution)` Überprüft, ob die übergebene Lösung bereits enthalten ist (`true`) oder nicht (`false`).
`java.util.List` | `getSolutions()` Liefert eine "unmodifizierbare" Liste mit den enthaltenen Lösungen (Instanzen der Klassse `yacs.net.Solution`).
`boolean` | `hasSolutions()` Liefert `true`, wenn Lösungen existieren, `false` wenn nicht.
`java.lang.String` | `toString()` Generiert zu Debugging-Zwecken einen String mit den in diesem Container enthaltenen Lösungen.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Solutions

    public Solutions()

Method Detail

### addSolution

    public boolean addSolution(Solution solution)

  Fügt die übergebene Lösung den vorhandenen hinzu, wenn sie nicht bereits enthalten ist. Liefert `true`, wenn dies erfolgreich verlaufen ist (Lösung war noch nicht vorhanden), `false` wenn nicht (Lösung existierte bereits).

  Parameters:
    `solution` - Solution

### getSolutions

    public java.util.List getSolutions()

  Liefert eine "unmodifizierbare" Liste mit den enthaltenen Lösungen (Instanzen der Klassse `yacs.net.Solution`).

  Returns:
    List

### hasSolutions

    public boolean hasSolutions()

  Liefert `true`, wenn Lösungen existieren, `false` wenn nicht.

  Returns:
    boolean

### containsSolution

    public boolean containsSolution(Solution solution)

  Überprüft, ob die übergebene Lösung bereits enthalten ist (`true`) oder nicht (`false`).

  Parameters:
    `solution` - Solution
  Returns:
    boolean

### toString

    public java.lang.String toString()

  Generiert zu Debugging-Zwecken einen String mit den in diesem Container enthaltenen Lösungen.

  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD